## net.sf.saxon.tree.util
Class ProcInstParser

    java.lang.Object
      net.sf.saxon.tree.util.ProcInstParser

    public class ProcInstParser

extends Object

ProcInstParser is used to parse pseudo-attributes within Processing Instructions

Version:
  10 July 2000
Author:
  Michael H. Kay

Method Summary
`static String` `getPseudoAttribute(String content, String name)` Get a pseudo-attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPseudoAttribute

    public static String getPseudoAttribute(String content,
                                            String name)

  Get a pseudo-attribute. This is useful only if the processing instruction data part uses pseudo-attribute syntax, which it does not have to. This syntax is as described in the W3C Recommendation "Associating Style Sheets with XML Documents".

  Returns:
    the value of the pseudo-attribute if present, or null if not

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.